@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');
* {
    margin: 0;
    padding: 0;
  }
  
  .snap-container {
    height: 100vh;
    /* overflow-y: auto;  */ /* Causa problema con el scroll y genera una margen extra que daña el diseño (preguntar) */
    scroll-snap-type: y mandatory;  
  }
  
  .snap-section {
    scroll-snap-align: start;
  }
  
  /* ------------------------ */

body{
    font-family: 'Poppins', sans-serif;
    background-color: #DCEFFF;
    color: white;
    margin: 0;
    padding: 0;
    scrollbar-width: none;
    /* overflow: hidden; */
}
/*---------------------------------------------- Inicio ----------------------------------------------*/
.welcome{
    height: 100vh;
    width: 100%;
    background-image: linear-gradient(to top, #ffffff3c 0%, rgba(255, 255, 255, 0.503) 20%), url('../IMAGES/POPAYAN/puenteHumilladero3.JPEG'); /*Coloca la imagen de la figura con un negradado en negro*/
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}
.welcome-texts{
    text-align: center;
    width: 70%;
    color: #0832A2;
    margin-top: 7rem;
}
.welcome-texts h4, p{
    margin-top: 8rem;
    color: #FFFFFF;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
    font-size: 18px;
}
.arrow-down, .arrow-full, .arrow-up2 {
    width: 4rem;
    margin-top: 10px;
    cursor: pointer;
    animation: pulse-svg 1.8s infinite;
    filter: drop-shadow(0 0 10px rgb(8, 50, 162, 1));
}

@keyframes pulse-svg {
    0% {
        transform: scale(1);
        filter: drop-shadow(0 0 10px rgb(8, 50, 162, 1));
        opacity: 1;
    }
    50% {
        transform: scale(1.2);
        filter: drop-shadow(0 0 20px rgb(8, 50, 162, 1));
        opacity: 1;
    }
    100% {
        transform: scale(1);
        filter: drop-shadow(0 0 10px rgb(8, 50, 162, 1));
        opacity: 1;
    }
}


/* .arrow-down-section{
    width: 3rem;
    
    margin-top: -2rem;
    cursor: pointer;
    transition: transform 0.3s ease;
    
}
.arrow-down-section:hover{
    transform: scale(1.5);
} */
@media (max-width: 768px) {
    .welcome-texts{
        width: 95%;
        font-size: 10px;
    }
    .welcome-texts p{
        font-size: 13px;
    }
    .welcome-texts h4{
        margin-top: 5rem;
        
    }
}

.welcome .welcome-texts h1, .welcome .welcome-texts h3, .welcome .welcome-texts h4, .welcome .welcome-texts p:nth-child(2), .welcome .welcome-texts a{
    transform: translateY(30px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent 0.5s 0.7s ease-in-out 1 forwards;
}
.welcome .welcome-texts h3{
    animation-delay: 1.3s;
}
.welcome .welcome-texts p:nth-child(2){
    animation-duration: 1.3s;
}
.welcome .welcome-texts h4{
    animation-delay: 1.6s;
}
.welcome .welcome-texts a{
    animation-delay: 1.8s;
}
/* .slider .list .item.active p:nth-child(1), .slider .list .item.active h2, .slider .list .item.active p:nth-child(3){
    transform: translateY(30px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent 0.5s 0.7s ease-in-out 1 forwards;
}
.slider .list .item.active h2{
    animation-delay: 1s;
}
.slider .list .item.active p:nth-child(3){
    animation-duration: 1.3s;
} */


/*-------------------------------------- css slider (prueba) ------------------------------------------*/
.slider{
    height: 100vh;
    /* margin-top: -50px; */
    position: relative;
}
.slider .list .item{
    position: absolute;
    inset: 0 0 0 0;
    overflow: hidden;
    opacity: 0;
    transition: 0.5s;
}
.slider .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center -250px;
}
.slider .list .item::after{
    content: '';
    width: 100%;
    height: 80%;
    position: absolute;
    left: 0;
    bottom: 0;
    background-image: linear-gradient(to top, #FFFFFF 25%, transparent);
}
.slider .list .item .content{
    position: absolute;
    left: 10%;
    top: 18%;
    width: 50rem;
    max-width: 80%;
    z-index: 1;
}
.slider .list .item .content p:nth-child(1){
    text-transform: uppercase;
    letter-spacing: 10px;
}
.slider .list .item .content h2{
    font-size: 80px;
    margin: 0;
    font-weight: bold;
    color: #0832A2;
    text-shadow: 2px 2px 4px #FFFFFF;
}
.content p{
    margin-top: 0.5rem;
    color: #FFFFFF;
    font-weight: 550;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
    font-size: 17px;

}
.slider .list .item.active{
    opacity: 1;
    z-index: 10;
}
/* Animacion textos */
@keyframes showContent{
    to{
        transform: translateY(0);
        filter: blur(0);
        opacity: 1;
    }
}
/* .slider .list .item.active p:nth-child(1), .slider .list .item.active h2, .slider .list .item.active p:nth-child(3){
    transform: translateY(30px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent 0.5s 0.7s ease-in-out 1 forwards;
}
.slider .list .item.active h2{
    animation-delay: 1s;
}
.slider .list .item.active p:nth-child(3){
    animation-duration: 1.3s;
} */

/* carrusel */
.thumbnail{
    position: absolute;
    bottom: 5px;
    z-index: 11;
    display: flex;
    gap: 30px;
    width: 100%;
    height: 260px;
    padding: 0 50px;
    box-sizing: border-box;
    overflow: auto;
    justify-content: center;
}
.thumbnail .arrow-down, .arrow-full{
    position: absolute;
    top: 60%;
    left: 3%;
    
}
.thumbnail .arrow-up2{
    position: absolute;
    top: 40%;
    left: 3%;
    
}
.thumbnail::-webkit-scrollbar{
    width: 0;
}
.thumbnail .item{
    width: 180px;
    height: 235px;
    filter: brightness(0.7);
    transition: 0.5s;
    flex-shrink: 0;
}
/* .thumbnail .item:hover{
    filter: brightness(1.2);
    transition: 0.5s;
} */
.thumbnail .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    cursor: pointer;
}
.thumbnail .item.active{
    filter: brightness(1.2);
    width: 190px;
    height: 240px;
}
.thumbnail .item .content{
    position: absolute;
    /* inset: auto auto 1rem auto; */
    top: auto;
    right: auto;
    bottom: 0.4rem;
    left: auto;
    padding-left: 0.7rem;
    color: #FFFFFF;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}

.card-button {
    width: 7.5rem;
    height: 1.5rem;
    border: none;
    border-radius: 10px;
    color: #0832A2;
    transition: all 0.2s ease;
  }
  .card-button:hover{
    background-color: #0832A2;
    color: #fff;
  }

/* --------------------------------------------------------- */
.ventana {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
    justify-content: center;
    align-items: center;
}

.detalles-content {
    background-color: #fff;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 800px;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
    position: relative;
}

.detalles-header video {
    width: 100%;
    border-radius: 10px 10px 0 0;
}

.detalles-body {
    padding: 20px;
}

.detalles-body h2, .detalles-body h3 {
    margin-top: 0;
}

.itinerario {
    list-style: none;
    padding: 0;
}

.itinerario li {
    margin: 10px 0;
}

.contact-button {
    text-align: center;
}

.btn-contact {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 5px;
}

.btn-contact:hover {
    background-color: #0056b3;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

@media (max-width: 768px) {
    .ventana{
        margin-top: 20%;
    }
    .detalles-content{
        width: 90%;
    }
  }

/* Estilos para la imagen destacada */
.detalles-header {
    text-align: center;
    margin-bottom: 20px;
}

.detalles-image {
    width: 100%;
    height: 30rem;
    object-fit: cover;
    object-position: 10% 60%;
    border-radius: 5px;
}

/* Estilos para el cuerpo del modal */
.detalles-body {
    padding: 20px;
}

.detalles-body h2 {
    margin-top: 0;
    font-size: 24px;
    color: #0832A2;
}

.detalles-body p {
    margin: 10px 0;
    color: #555;
    text-shadow: none;
}

.detalles-body h3 {
    margin-top: 20px;
    font-size: 20px;
    color: #333;
}

.itinerario {
    color: #555;
    list-style-type: none;
    padding: 0;
}

.itinerario li {
    margin: 10px 0;
    padding-left: 20px;
    position: relative;
}

.itinerario li::before {
    content: '•';
    position: absolute;
    left: 0;
    color: #007bff;
    font-size: 20px;
}
.btn-contact{
    width: 10rem;
    height: 2rem;
    border-radius: 12px;
    border: none;
    background-color: #0832A2;
    color: #fff;
    transition: all 0.3s ease;
}
.btn-contact:hover{
 transform: scale(1);
}
/* Carrusel hotel */
.carousel-inner{
    width: 100%;
    height: 16rem;
    border-radius: 10px;
}
@media (max-width: 768px) {
    .carousel-inner{
        width: 100%;
        height: 12rem;
    }
    .hotel-room{
        align-items: center;
        display: block;
    }
  }
/* --------------------------------------------------------- */
@media screen and  (max-width: 678px){
    .thumbnail{
        justify-content: start;
        bottom: 20px;
    }
    .slider .list .item .content{
        width: 58rem;
        max-width: 85%;
        top: 14%;
    }
    .thumbnail .item .content{
        /* inset: auto auto 2rem auto; */
        top: auto;
        right: auto;
        bottom: 1rem;
        left: auto;
    }
    .slider .list .item .content h2{
        font-size: 40px;
    }
    /* .arrows{
        top: 16%;
        right: 33px;
    } */
    .slider .list .item::after{
        background-image: linear-gradient(to top, #FFFFFF 40%, transparent);
    }
}
.secciones{
    align-items: center;
}
.secciones h2{
    font-size: 21px;
}
.secciones-text{
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 50%;
}
.secciones-images{
    width: 50%;
    align-items: center;
}

@media screen and  (max-width: 678px){
    .secciones-text, .secciones-images{
        width: 100%;
    }
}
  
  